/*---------------------------------------------------------------------------*/
/* Logiciel Client FTP.                                                      */
/*---------------------------------------------------------------------------*/
/* Projet  : MyFTP                                     Version  : 0.1.0.0    */
/* Fichier : manageremote.h                                                  */
/* Auteur  : Fred Cailleau-Lepetit                     Date     : 03/04/2006 */
/* email   : softinthebox@free.fr                      Rvision : 03/04/2006 */
/*---------------------------------------------------------------------------*/
/* Copyright (C) Fred Cailleau-Lepetit 2005-2006                             */
/* Licence GNU General Public License  http://www.fsf.org/copyleft/gpl.html  */
/*---------------------------------------------------------------------------*/
/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation (version 2).

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

Ce programme est libre, vous pouvez le redistribuer et/ou le modifier
selon les termes de la Licence Publique Gnrale GNU publie par la
Free Software Foundation (version 2).

Ce programme est distribu car potentiellement utile, mais
SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris
les garanties de commercialisation ou d'adaptation dans un but
spcifique. Reportez-vous  la Licence Publique Gnrale GNU
pour plus de dtails.
*/

#ifndef _MANAGEREMOTE_H_
#define _MANAGEREMOTE_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "manageremote.cpp"
#endif
#include "basethread.h"

class wxMyFTPFrame;
class wxMyFTP;
class wxJob;

class wxManageRemoteThread : public wxBaseThread
{
   public:

      wxManageRemoteThread(wxMyFTPFrame* frame, wxMyFTP* ftp) :
         wxBaseThread(frame, ftp){}

      virtual void* Entry();

   private:

      void UpdateDisplay();
      void ClearDisplay();
      void UpdateMenu();
      void UpdatePath();
      void ClearJobs();

      void SetConnect(bool value);

      wxJob* GetNextJob();
};

#endif   // _MANAGEREMOTE_H_
