/*---------------------------------------------------------------------------*/
/* Logiciel Client FTP.                                                      */
/*---------------------------------------------------------------------------*/
/* Projet  : MyFTP                                     Version  : 0.1.0.0    */
/* Fichier : myftpapp.cpp                                                    */
/* Auteur  : Fred Cailleau-Lepetit                     Date     : 27/02/2006 */
/* email   : softinthebox@free.fr                      Rvision : 03/03/2006 */
/*---------------------------------------------------------------------------*/
/* Copyright (C) Fred Cailleau-Lepetit 2005-2006                             */
/* Licence GNU General Public License  http://www.fsf.org/copyleft/gpl.html  */
/*---------------------------------------------------------------------------*/
/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation (version 2);

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

Ce programme est libre, vous pouvez le redistribuer et/ou le modifier
selon les termes de la Licence Publique Gnrale GNU publie par la
Free Software Foundation (version 2).

Ce programme est distribu car potentiellement utile, mais
SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris
les garanties de commercialisation ou d'adaptation dans un but
spcifique. Reportez-vous  la Licence Publique Gnrale GNU
pour plus de dtails.
*/
#if defined(__GNUG__) && !defined(__APPLE__)
#pragma implementation "myftpapp.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif
#include "myftpapp.h"
#include "myftpframe.h"

IMPLEMENT_APP(wxMyFTPApp)

wxMyFTPApp::wxMyFTPApp() : wxApp()
{
   bConnected = false;
}

bool wxMyFTPApp::OnInit()
{
   wxApp::OnInit();

   wxMyFTPFrame* mainWindow = new wxMyFTPFrame(NULL);
   mainWindow->SetSize(wxSize(640, 480));
   mainWindow->Show(true);

   return true;
}

int wxCALLBACK CompareList(long item1, long item2, long sortData)
{
   wxArrayString* files;

   files = (wxArrayString*)sortData;
   if ((item1 < 0)&&(item2 > 0))
      return -1;
   else if ((item1 > 0)&&(item2 < 0))
      return 1;
   else
      return (*files)[abs(item1) - 1].CmpNoCase((*files)[abs(item2) - 1]);
}
